org.apache.lucene.index

## Class FilterDirectoryReader.SubReaderWrapper

- java.lang.Object
- - org.apache.lucene.index.FilterDirectoryReader.SubReaderWrapper

- Direct Known Subclasses:
    ExitableDirectoryReader.ExitableSubReaderWrapper
  Enclosing class:
    FilterDirectoryReader

      public abstract static class FilterDirectoryReader.SubReaderWrapper
      extends Object

  Factory class passed to FilterDirectoryReader constructor that allows subclasses to wrap the filtered DirectoryReader's subreaders. You can use this to, e.g., wrap the subreaders with specialised FilterLeafReader implementations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubReaderWrapper()` Constructor

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract LeafReader` | `wrap(LeafReader reader)` Wrap one of the parent DirectoryReader's subreaders
    `protected LeafReader[]` | `wrap(List<? extends LeafReader> readers)` Wraps a list of LeafReaders

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubReaderWrapper

          public SubReaderWrapper()

      Constructor

  - ### Method Detail

    - #### wrap

          protected LeafReader[] wrap(List<? extends LeafReader> readers)

      Wraps a list of LeafReaders
      Returns:
        an array of wrapped LeafReaders. The returned array might contain less elements compared to the given reader list if an entire reader is filtered out.

    - #### wrap

          public abstract LeafReader wrap(LeafReader reader)

      Wrap one of the parent DirectoryReader's subreaders
      Parameters:
        `reader` - the subreader to wrap
      Returns:
        a wrapped/filtered LeafReader

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.